/**********
Copyright 1990 Regents of the University of California.  All rights reserved.
Author: 1985 Thomas L. Quarles
**********/
/*
 */

/* Pretty print the sensitivity info for 
 * all the OPAMP in the circuit.
 */

#include "spice.h"
#include <stdio.h>
#include "cktdefs.h"
#include "opampdefs.h"
#include "sperror.h"
#include "suffix.h"


void
OPAMPsPrint(inModel,ckt)
    GENmodel *inModel;
    register CKTcircuit *ckt;
{
    register OPAMPmodel *model = (OPAMPmodel *)inModel;
    register OPAMPinstance *here;

    printf("OPAMP -----------------\n");
    /*  loop through all the opmamp models */
    for( ; model != NULL; model = model->OPAMPnextModel ) {

        printf("Model name:%s\n",model->OPAMPmodName);

        /* loop through all the instances of the model */
        for (here = model->OPAMPinstances; here != NULL ;
                here=here->OPAMPnextInstance) {


            printf("    Instance name:%s\n",here->OPAMPname);
            printf("      Positive, negative nodes: %s, %s\n",
                    CKTnodName(ckt,here->OPAMPposNode),
                    CKTnodName(ckt,here->OPAMPnegNode));
            printf("      Controlling Positive, negative nodes: %s, %s\n",
                    CKTnodName(ckt,here->OPAMPcontPosNode),
                    CKTnodName(ckt,here->OPAMPcontNegNode));
            printf("      Branch equation number: %s\n",
                    CKTnodName(ckt,here->OPAMPbranch));
            printf("      Coefficient: %f\n",here->OPAMPcoeff);
            printf("    OPAMPsenParmNo:%d\n",here->OPAMPsenParmNo);
        }
    }
}
