/****************************************************************
File generated by Device Model Compiler: BMAC
Author: Bo Wan, 2003
Copyright 2003(c) Mixed-Signal CAD lab. University of Washington.
All rights reserved.
****************************************************************/

#include "spice.h"
#include <stdio.h>
#include "cktdefs.h"

// Needed #includes
#include "load_gen1.gh"

#include "sperror.h"
#include "suffix.h"

typedef int bool;
#define false 0
#define true 1

/********************************************************
* load the current device value into the 
* sparse matrix previously provided 
********************************************************/
int THRload(inModel,ckt)
	GENmodel *inModel;
	CKTcircuit *ckt;
{
	register THRmodel *model = (THRmodel *)inModel;
	register THRinstance *here;


// Function local declarations of :
// 1) voltage variables
// 2) model and instance parameter variables (for use in differentiator; uses
// differentiator variable naming convention and rules)

//#include "load_gen2.gc"
#include "cc_optimized.gh"


// declarations of differential and other variables
//#include "load_gen3.gc"

	// voltage variable initialization (now included in load_gen5.gc)
	// as it's different for each instance

	/*  loop through all the device models */
	for( ; model != NULL; model = model->THRnextModel )
	{

// model parameters assignments/initializations
#include "load_gen4.gc"

		/* loop through all the instances of the model */
		for (here = model->THRinstances; here != NULL ;
			here=here->THRnextInstance)
		{

// 1) instance parameter and differentiator variables (like node voltage
// variables etc.) assignments/initializations
// 2) Code realted to decisions on dc / transient analysis

#include "load_inst.gc"
#include "load_gen5.gc"


// differential code generated by differential generator
//#include "load_gen6.gc"
#include "cc_optimized.gc"


// element stamp value assignments (putting in jacobian matrix)
//#include "load_gen7.gc"
#include "new_load_gen7.gc"

		}
	}

	return(OK);
}
