/**** WBRv3.2.4, Released by Xuemei Xi 12/21/2001 ****/

/**********
 * Copyright 2001 Regents of the University of California. All rights reserved.
 * File: b3trunc.c of WBRv3.2.4
 * Author: 1995 Min-Chie Jeng and Mansun Chan. 
 * Author: 1997-1999 Weidong Liu.
 * Author: 2001  Xuemei Xi
 **********/

static char rcsid[] = "$Id: b3trunc.c, v3.2.4 12/21/2001 18:00:00 Xuemei Xi Release $";

#include "spice.h"
#include <stdio.h>
#include <math.h>
#include "cktdefs.h"
#include "wbrdefs.h"
#include "sperror.h"
#include "suffix.h"


int
WBRtrunc(inModel,ckt,timeStep)
GENmodel *inModel;
register CKTcircuit *ckt;
double *timeStep;
{
register WBRmodel *model = (WBRmodel*)inModel;
register WBRinstance *here;
printf("IN WBRtrunc.c\n");

#ifdef STEPDEBUG
    double debugtemp;
#endif /* STEPDEBUG */

    for (; model != NULL; model = model->WBRnextModel)
    {    for (here = model->WBRinstances; here != NULL;
	      here = here->WBRnextInstance)
	 {
#ifdef STEPDEBUG
            debugtemp = *timeStep;
#endif /* STEPDEBUG */
            CKTterr(here->WBRv1,ckt,timeStep);
            CKTterr(here->WBRv2,ckt,timeStep);
            CKTterr(here->WBRv3,ckt,timeStep);
            CKTterr(here->WBRv4,ckt,timeStep);
            CKTterr(here->WBRv5,ckt,timeStep);
            CKTterr(here->WBRv6,ckt,timeStep);
            CKTterr(here->WBRv7,ckt,timeStep);
            CKTterr(here->WBRv8,ckt,timeStep);
            CKTterr(here->WBRv9,ckt,timeStep);
            CKTterr(here->WBRv10,ckt,timeStep);
            CKTterr(here->WBRv11,ckt,timeStep);
            CKTterr(here->WBRv12,ckt,timeStep);
            CKTterr(here->WBRv13,ckt,timeStep);
            CKTterr(here->WBRv14,ckt,timeStep);
            CKTterr(here->WBRv15,ckt,timeStep);
            CKTterr(here->WBRv16,ckt,timeStep);
            CKTterr(here->WBRv17,ckt,timeStep);
            CKTterr(here->WBRv18,ckt,timeStep);
            CKTterr(here->WBRv19,ckt,timeStep);
            CKTterr(here->WBRvout,ckt,timeStep);

            CKTterr(here->WBRiin,ckt,timeStep);
            CKTterr(here->WBRi2,ckt,timeStep);
            CKTterr(here->WBRi3,ckt,timeStep);
            CKTterr(here->WBRi4,ckt,timeStep);
            CKTterr(here->WBRi5,ckt,timeStep);
            CKTterr(here->WBRi6,ckt,timeStep);
            CKTterr(here->WBRi7,ckt,timeStep);
            CKTterr(here->WBRi8,ckt,timeStep);
            CKTterr(here->WBRi9,ckt,timeStep);
            CKTterr(here->WBRi10,ckt,timeStep);
            CKTterr(here->WBRi11,ckt,timeStep);
            CKTterr(here->WBRi12,ckt,timeStep);
            CKTterr(here->WBRi13,ckt,timeStep);
            CKTterr(here->WBRi14,ckt,timeStep);
            CKTterr(here->WBRi15,ckt,timeStep);
            CKTterr(here->WBRi16,ckt,timeStep);
            CKTterr(here->WBRi17,ckt,timeStep);
            CKTterr(here->WBRi18,ckt,timeStep);
            CKTterr(here->WBRi19,ckt,timeStep);
            CKTterr(here->WBRi20,ckt,timeStep);
#ifdef STEPDEBUG
            if(debugtemp != *timeStep)
	    {  printf("device %s reduces step from %g to %g\n",
                       here->WBRname,debugtemp,*timeStep);
            }
#endif /* STEPDEBUG */
        }
    }
    return(OK);
}



